Bug 66710 - Package no longer available when publishing new errata
Summary: Package no longer available when publishing new errata
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels   
(Show other bugs)
Version: RHN Stable
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-14 00:06 UTC by venkat
Modified: 2007-04-18 16:43 UTC (History)
7 users (show)

Fixed In Version: rhn300
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 20:48:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description venkat 2002-06-14 00:06:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020424

Description of problem:
Cisco is using Proxy server. Published new errata associated with custom
channels and packages. These packages are in the proxy server.

After publishing the errata, if I go to the details page of that errata then I
see the following message under the verification heading:

Verification:
        Cisco Linux:
        Package no longer available envoy-1.71-1.noarch.rpm
        Package no longer available cisco-EMPsysedge-4.0.2-1.i386.rpm

        Cisco Linux (beta):
        Package no longer available envoy-1.71-1.noarch.rpm


envoy-1.71-1.noarch.rpm and cisco-EMPsysedge-4.0.2-1.i386.rpm are the
package associated with this errata.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a new errata
2.Publish it
3.Asscociate a custom channel with the errata - update
4.Associate a package in the custom channel with the errata - update
5.click [Errata] on the lefthand side menu
6.Click the errata just published

Actual Results:  package no longer available <package name>

Expected Results:  "package no longer available" message should not appear and
the packages should be available

Additional info:

The packages associated with the errata are in the proxy server

Comment 1 Chip Turner 2002-07-09 14:08:37 UTC
they are on the proxy, but not the central RHN server.  we've no way of serving
the packages.  if the proxy tools can populate a field in the database to
signify packages present on the proxy, we can change this display.  assigning to
misa.

Comment 2 Mihai Ibanescu 2002-07-18 16:51:17 UTC
We could use the indication that the path is null.
If we had a flag 'this package resides on a proxy', next question we'll have to
ask is 'which proxy', and then we'd have to somehow correlate the errata editor
with the proxy. I'd go with the simple case (i.e. null path) for now, the
complexity for the alternative solution is to be determined. Chip?

Comment 3 Mihai Ibanescu 2002-08-22 13:51:15 UTC
robin, can we do something about this?

Comment 4 Robin Norwood 2003-02-04 16:32:41 UTC
Hrm - this is an old one.  I seem to recall doing something along these lines a
while ago, but I don't have a proxy to test it with handy.


Note You need to log in before you can comment on or make changes to this bug.